Test for duplicate timer callbacks (esp-idf 4.4 version)
========================================================

You need to enable SPIRAM for this and enter your WIFI credentials.
All other configs are default (template: "sdkconfig.testrun").

Build the project & run on any ESP32.

Start 5 processes running a flood ping (ping -f) to the IP assigned to the module.

You should see duplicate timer callback error logs appear when the flood
pings are running. See "testrun.log" for an example.

Note: when built with esp-idf 3.3, the flood pings are not necessary to trigger
the duplicate callbacks, they just lead to a much higher bug frequency. When
built with esp-idf 4.4, the flood pings seem to be necessary.


The test creates a single shot timer and then loops over timer runs
with unique timer IDs, synchronized with the timer callback by a queue.
The timer callback checks if the timer ID it sees is the same as on the
last execution, which should never happen.


*Code in this repository is in the Public Domain (or CC0 licensed, at your option.)
Unless required by applicable law or agreed to in writing, this
software is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
CONDITIONS OF ANY KIND, either express or implied.*
